com.google.gwt.uibinder.elementparsers

## Class NumberLabelParser

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.NumberLabelParser

- All Implemented Interfaces:
    ElementParser

      public class NumberLabelParser
      extends java.lang.Object
      implements ElementParser

  Parses `DateLabel` widgets.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.lang.String` | `AT_MOST_ONE_SPECIFIED_CURRENCY`
    `(package private) static java.lang.String` | `AT_MOST_ONE_SPECIFIED_FORMAT`
    `(package private) static java.lang.String` | `NO_CURRENCY_WITH_FORMAT`
    `(package private) static java.lang.String` | `NO_CURRENCY_WITH_PREDEFINED_FORMAT`
    `(package private) static java.lang.String` | `NO_CURRENCY_WITHOUT_SPECIFIED_FORMAT`
    `(package private) static java.lang.String` | `UNKNOWN_PREDEFINED_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberLabelParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parse the given element, generating the code to initialize it from the element's attributes and children.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AT_MOST_ONE_SPECIFIED_FORMAT

          static final java.lang.String AT_MOST_ONE_SPECIFIED_FORMAT

      See Also:
        Constant Field Values

    - #### AT_MOST_ONE_SPECIFIED_CURRENCY

          static final java.lang.String AT_MOST_ONE_SPECIFIED_CURRENCY

      See Also:
        Constant Field Values

    - #### NO_CURRENCY_WITH_FORMAT

          static final java.lang.String NO_CURRENCY_WITH_FORMAT

      See Also:
        Constant Field Values

    - #### NO_CURRENCY_WITHOUT_SPECIFIED_FORMAT

          static final java.lang.String NO_CURRENCY_WITHOUT_SPECIFIED_FORMAT

      See Also:
        Constant Field Values

    - #### NO_CURRENCY_WITH_PREDEFINED_FORMAT

          static final java.lang.String NO_CURRENCY_WITH_PREDEFINED_FORMAT

      See Also:
        Constant Field Values

    - #### UNKNOWN_PREDEFINED_FORMAT

          static final java.lang.String UNKNOWN_PREDEFINED_FORMAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NumberLabelParser

          public NumberLabelParser()

  - ### Method Detail

    - #### parse

          public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                            java.lang.String fieldName,
                            JClassType type,
                            com.google.gwt.uibinder.rebind.UiBinderWriter writer)
                     throws UnableToCompleteException

      Description copied from interface: `ElementParser`
      Parse the given element, generating the code to initialize it from the element's attributes and children.
      Specified by:
        `parse` in interface `ElementParser`
      Parameters:
        `elem` - the element to be parsed
        `fieldName` - the name of the widget field to be initialized
        `type` - TODO
        `writer` - the writer
      Throws:
        `UnableToCompleteException` - on error